tt_file_copy(library call)

NAME
tt_file_copy — copy objects from one file to a new file

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_file_copy(
const char *oldfilepath,
const char *newfilepath);

DESCRIPTION

The tt_file_copy function copies all objects that exist on the specified file to a new file. If any objects already exist on newfilepath, they are not overwritten by the copy (that is, they are not removed.)

The oldfilepath argument is a pointer to the name of the file whose objects are to be copied. The newfilepath argument is a pointer to the name of the file on which to create the copied objects.

RETURN VALUE

Upon successful completion, the tt_file_copy function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place. It does not appear to exist; administrative action is required.

TT_ERR_FILE
    The specified file does not exist or it is inaccessible.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PATH
    The specified pathname included an unsearchable directory.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_file_move(3), tt_file_destroy(3).